package de.fzj.unicore.xuudb.client.functional;

import java.io.File;
import java.util.ArrayList;

public class TestAdminController extends TestBase {
	private String gcIdDN = "TestDN";
	private String gcId = "Test";
	private String dn = "EMAILADDRESS=unicore-support@lists.sf.net,C=DE,O=unicore.eu,OU=Testing,CN=UNICORE demo user";
	private String xlogin1 = "test";
	private String xlogin2 = "test2";
	private String project = "test";
	private String role = "user";
	private String pemFile = "src/test/resources/demouser.pem";
	
	public void testClientOperation() {
		Sout.println("Test add user");
		ArrayList<String> args = new ArrayList<String>();
		args.add("add");
		args.add(gcId);
		args.add(pemFile);
		args.add(xlogin1);
		args.add(role);
		args.add(project);
		runClient(args);
		assertFalse(searchInOut("Error"));
  	    assertTrue(searchInOut("Done. Received: "));
	    out.reset();
	   
	    Sout.println("Test adddn user");
	    args.clear();
		args.add("adddn");
		args.add(gcIdDN);
		args.add(dn);
		args.add(xlogin2);
		args.add(role);
		args.add(project);
		runClient(args);
		assertFalse(searchInOut("Error"));
		assertTrue(searchInOut("Done. Received: "));
	    out.reset();
	    
	    Sout.println("Test check-cert");
	    args.clear();
	    args.add("check-cert");
		args.add(gcId);
		args.add(pemFile);
		runClient(args);
		assertFalse(searchInOut("Error"));
		assertTrue(searchInOut("Done. Received: gcid=" + gcId));
		assertTrue(searchInOut("Done. Received: xlogin="+xlogin1));
	    out.reset();
	    args.clear();
	    
	    Sout.println("Test check-dn");
	    args.add("check-dn");
		args.add(gcIdDN);
		args.add(dn);
		runClient(args);
		assertFalse(searchInOut("Error"));
		assertTrue(searchInOut("Done. Received: gcid=" + gcIdDN));
		assertTrue(searchInOut("Done. Received: xlogin="+xlogin2));
	    out.reset();
	    args.clear();
	    
	    Sout.println("Test export");
	    String file = "target/test";
		args.add("export");
		args.add(file);
		args.add("force");
		runClient(args);
		assertFalse(searchInOut("Error"));
		assertTrue(searchInOut("Data written to"));
		out.reset();
		args.clear();
		
		Sout.println("Test remove individual user");
		args.add("remove");
		args.add("gcId="+gcId);
		runClient(args);
		assertFalse(searchInOut("Error"));
		assertTrue(searchInOut("Done"));
		args.clear();
		out.reset();
		
		args.add("remove");
		args.add("gcId="+gcIdDN);
		runClient(args);
		assertFalse(searchInOut("Error"));
		assertTrue(searchInOut("Done"));
		args.clear();
		out.reset();
		
		
		Sout.println("Test import");
		String fileCvs = "target/test.csv";
		args.add("import");
		args.add(fileCvs);
		runClient(args);
		assertFalse(searchInOut("Error"));
		assertTrue(searchInOut("Done. Received: "));
		File f = new File(fileCvs);
		assertTrue(f.exists());
		if (f.exists())
			f.delete();
		out.reset();
		args.clear();

		Sout.println("Test update");
		args.add("update");
		args.add(gcId);
		args.add(pemFile);
		args.add("xlogin=test_update");
		runClient(args);
		assertFalse(searchInOut("Error"));
		assertTrue(searchInOut("Done. Received: Updated   1   rows."));
		out.reset();
		args.clear();
		
		args.add("list");
		args.add("gcID=" + gcId);
		runClient(args);
		assertFalse(searchInOut("Error"));
		assertTrue(searchInOut("test_update"));
		out.reset();
		args.clear();	
		
		Sout.println("Test list");
		args.add("list");
		args.add("gcID=" + gcIdDN);
		args.add("dn=" + dn);
		args.add("role=" + role);
		args.add("xlogin=" + xlogin2);
		args.add("project=" + project);
		runClient(args);
		assertFalse(searchInOut("Error"));
		assertTrue(searchInOut("The database query result contains   1   entries:"));
		out.reset();
		args.clear();
	
		Sout.println("Test clear database");
		args.add("remove");
		args.add("ALL");
		runClient(args);
		assertFalse(searchInOut("Error"));
		assertTrue(searchInOut("Done"));
		out.reset();
		args.clear();
		
		args.add("list");
		runClient(args);
		assertFalse(searchInOut("Error"));
		assertTrue(searchInOut("The database query result contains   0   entries:"));
		
		
	}
}
