#!/bin/bash
#
#Start script for the XUUDB admin client
#

#
#Installation Directory
#
dir=`dirname $0`
if [ "$dir" != "." ]
then
  INST=`dirname $dir`
else
  pwd | grep -e 'bin$' > /dev/null
  if [ $? = 0 ]
  then
    # we are in the bin directory
    INST=".."
  else
    # we are NOT in the bin directory
    INST=`dirname $dir`
  fi
fi

INST=${INST:-.}

#
#Alternatively specify the installation dir here
#
#INST=

cd $INST

#
#Java command 
#
JAVA=java

#
#Options
#
#switch off confirmation message ("add" command)
OPTS="-Dxuudb.batch=true"

#set this one if you have ssl problems and need debug info
#OPTS=$OPTS" -Djavax.net.debug=ssl,handshake"

OPTS=$OPTS" -Djava.util.logging.config.file=conf/client_logging.properties"

#
#Memory for the VM
#
MEM=-Xmx128m

#
#put all jars in lib/ on the classpath
#
CLASSPATH=.$(find "lib" -name *.jar -exec printf ":{}" \;)
export CLASSPATH


# build command arguments and watch for spaces in params
PARAMS=""
while [[ $# > 0 ]]; do
  PARAMS="$PARAMS '$1'"
  shift
done

# build command line
COMMAND="$JAVA ${MEM} ${OPTS} ${DEFS} de.fzj.unicore.xuudb.client.XUUDBClient $PARAMS"

#
#go
# have to call via bash -c, because of quotes enclosing parameters has to be parsed correctly.
# TODO?? better solution? 
bash -c "$COMMAND"
