#!/bin/bash

# With the RCC release the content of the Unicore XUUDB database changed
# slightly. This script provides a basic conversion tool to use XUUDB databases
# build with previously versions.
# 
# Howto import your previous versioned database:
# 1. Stop all xuudb servers
# 2. copy the data directory from the old xuudb into the new xuudb
# 3. run this script form the xuudb directory: ./bin/convertFromBeta1.sh
#
# Questions: b.tweddell@fz-juelich.de




DATABASE=./data/UnicoreUserDB.data

echo Looking for XUUDB Database at: $DATABASE

if [[ -e $DATABASE.script ]]; then
  echo Found Database
else
  echo Database not found. EXIT.
  exit
fi

if [[ -e $DATABASE.lck ]]; then
  echo XUUDB server is running. Cannot convert while server is running.
  echo run ./bin/stop.sh
  exit
fi

echo Creating backup
cp -v $DATABASE.script $DATABASE.script.old

echo Converting ...
sed -i "s/-----BEGIN CERTIFICATE-----\\\\u000a//g" $DATABASE.script
sed -i "s/\\\\u000a-----END CERTIFICATE-----//g" $DATABASE.script
echo Done.
