#!/bin/sh
#
#Startup script for the XUUDB server
#

#
#Installation Directory
#
dir=`dirname $0`
if [ "$dir" != "." ]
then
  INST=`dirname $dir`
else
  pwd | grep -e 'bin$' > /dev/null
  if [ $? = 0 ]
  then
    # we are in the bin directory
    INST=".."
  else
    # we are NOT in the bin directory
    INST=`dirname $dir`
  fi
fi

INST=${INST:-.}

#
#Alternatively specify the installation dir here
#
#INST=

cd $INST

#
#Java command 
#
JAVA=java


#
#Memory for the VM
#
MEM=-Xmx128m

#
#Options
#
#log config file
OPTS=$OPTS" -Djava.util.logging.config.file=conf/logging.properties"

#set this one if you have ssl problems and need debug info
#OPTS=$OPTS" -Djavax.net.debug=ssl,handshake"

#
#put all jars in lib/ on the classpath
#
CLASSPATH=.$(find "lib" -name *.jar -exec printf ":{}" \;)
export CLASSPATH




PARAM=$*
if [ "$PARAM" = "" ]
then
  PARAM="--start"
fi

#
#go
#

nohup $JAVA ${MEM} ${OPTS} ${DEFS} de.fzj.unicore.xuudb.server.XUUDBServer ${PARAM}  > logs/startup.log 2>&1  & echo $! > LAST_PID

echo "XUUDB server starting."



